org.apache.ignite.mxbean

## Interface PerformanceStatisticsMBean

-     @MXBeanDescription(value="MBean provide access to performance statistics management.")
      public interface PerformanceStatisticsMBean

  MBean that provides access to performance statistics management.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rotate()` Rotate performance statistics in the cluster.
    `void` | `start()` Start collecting performance statistics in the cluster.
    `boolean` | `started()`
    `void` | `stop()` Stop collecting performance statistics in the cluster.

- - ### Method Detail

    - #### start

          @MXBeanDescription(value="Start collecting performance statistics in the cluster.")
          void start()
                                                                                                  throws IgniteCheckedException

      Start collecting performance statistics in the cluster.
      Throws:
        `IgniteCheckedException`

    - #### stop

          @MXBeanDescription(value="Stop collecting performance statistics in the cluster.")
          void stop()
                                                                                                throws IgniteCheckedException

      Stop collecting performance statistics in the cluster.
      Throws:
        `IgniteCheckedException`

    - #### rotate

          @MXBeanDescription(value="Rotate performance statistics in the cluster.")
          void rotate()
                                                                                         throws IgniteCheckedException

      Rotate performance statistics in the cluster.
      Throws:
        `IgniteCheckedException`

    - #### started

          @MXBeanDescription(value="True if performance statistics collection is started.")
          boolean started()

      Returns:
        `True` if performance statistics collection is started.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023